## RygelPluginInformation

RygelPluginInformation — Parse plugin sidecar file and provide path to the module.

## Functions

const gchar * | rygel_plugin_information_get_module_path ()
const gchar * | rygel_plugin_information_get_name ()
RygelPluginInformation * | rygel_plugin_information_new_from_file ()

## Properties

gchar * | module-path | Read / Write / Construct Only
gchar * | name | Read / Write / Construct Only

## Types and Values

#define | RYGEL_TYPE_PLUGIN_INFORMATION
struct | RygelPluginInformation
struct | RygelPluginInformationClass

## Object Hierarchy

        GObject
        ╰── RygelPluginInformation

## Description

Sidecar files are keyfiles, loosely compatible with the files used by libpeas.

A minimal file for the plugin librygel-sompelugin.so looks like this:

[Plugin] Name = SomeNameForThePlugin Module = someplugin

Name must not contain any whitespaces.

## Functions

### rygel_plugin_information_get_module_path ()

    const gchar *
    rygel_plugin_information_get_module_path
                                   (RygelPluginInformation *self);

Get and return the current value of the "module-path" property.

#### Parameters

self | the RygelPluginInformation instance to query |

#### Returns

the value of the "module-path" property

### rygel_plugin_information_get_name ()

    const gchar *
    rygel_plugin_information_get_name (RygelPluginInformation *self);

Get and return the current value of the "name" property.

#### Parameters

self | the RygelPluginInformation instance to query |

#### Returns

the value of the "name" property

### rygel_plugin_information_new_from_file ()

    RygelPluginInformation *
    rygel_plugin_information_new_from_file
                                   (GFile *file,
                                    GError **error);

Factory method to create a RygelPluginInformation from GFile.

#### Parameters

file | . a GFile pointing to the sidecar file . | [in]
error | location to store the error occuring, or `NULL` to ignore |

#### Returns

A new instance of RygelPluginInformation

## Types and Values

### RYGEL_TYPE_PLUGIN_INFORMATION

    #define RYGEL_TYPE_PLUGIN_INFORMATION (rygel_plugin_information_get_type ())

The type for RygelPluginInformation.

### struct RygelPluginInformation

    struct RygelPluginInformation;

Parse plugin sidecar file and provide path to the module.

Sidecar files are keyfiles, loosely compatible with the files used by libpeas.

A minimal file for the plugin librygel-sompelugin.so looks like this:

[Plugin] Name = SomeNameForThePlugin Module = someplugin

Name must not contain any whitespaces.

### struct RygelPluginInformationClass

    struct RygelPluginInformationClass {
    	GObjectClass parent_class;
    };

The class structure for `RYGEL_TYPE_PLUGIN_INFORMATION`. All the fields in this structure are private and should never be accessed directly.

#### Members

## Property Details

### The `“module-path”` property

      “module-path”              gchar *

module-path.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“name”` property

      “name”                     gchar *

name.

Flags: Read / Write / Construct Only

Default value: NULL